<ngx-loading [show]="isLoadingUpdate$ | async" />

<ng-container *ngIf="data$ | async as row">
  <ng-container
    *ngIf="(row.is_validate === 1 || row.is_validate === 4) && checkDraft()"
  >
    <div [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(20)]">
      <a
        [ngClass]="[jds.button, jds.buttonDefault, jds.w(120), jds.me(16)]"
        [routerLink]="['/my-dataset/edit/', row.id]"
        [queryParams]="{
          from: row.is_validate === 1 ? 'verification' : 'verification-edit'
        }"
      >
        Ubah
      </a>

      <a
        [ngClass]="[jds.button, jds.buttonDanger, jds.w(120), jds.me(16)]"
        (click)="onDecline(row.id, row.is_validate)"
      >
        Tolak
      </a>

      <a
        [ngClass]="[jds.button, jds.buttonSuccess, jds.w(120)]"
        (click)="onAccept(row.id)"
      >
        Terima
      </a>
    </div>
  </ng-container>
</ng-container>
